@echo off
rem
rem Licensed Materials - Property of IBM
rem 5724-F75
rem (C) Copyright IBM Corp.  2009, 2010
rem All Rights Reserved
rem US Government Users Restricted Rights -Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem
@echo off

set DB2_DB_NAME=%1
set DB2_ADM_USER=%2
set DB2_ADM_PSWD=%3
set DB2_DB_HOST_NAME=%4
set DB2_DB_PORT=%5
set DB2_SERVER_LOCAL=%6
rem SHIFT /7
rem set DB2_SQLLIB_HOME=%7

set ERR_DB2_CONFIG=220

IF "%DB2_SERVER_LOCAL%" == "true" GOTO local

  echo attach to %DB2_DB_NAME% user %DB2_ADM_USER%
  db2 attach to %DB2_DB_NAME% user %DB2_ADM_USER% using %DB2_ADM_PSWD%
  if errorlevel 1 exit 1
  
  echo uncatalog node %DB2_DB_NAME%
  db2 uncatalog node %DB2_DB_NAME%
  if errorlevel 1 exit 1
  
  echo drop database %DB2_DB_NAME%
  db2 drop database %DB2_DB_NAME%
  if errorlevel 1 exit 1
  
  rem echo "uncatalog database %DB2_DB_NAME%"
  rem db2 uncatalog database %DB2_DB_NAME%
  rem echo "%ERRORLEVEL%"
  
  db2 terminate
  if errorlevel 1 exit 1
  
  GOTO end

:local

echo connect to %DB2_DB_NAME% user %DB2_ADM_USER%
db2 connect to %DB2_DB_NAME% user %DB2_ADM_USER% using %DB2_ADM_PSWD%
if errorlevel 1 exit 1

echo drop database %DB2_DB_NAME%
db2 drop database %DB2_DB_NAME%
if errorlevel 1 exit 1
    
:end

exit 0
