@echo off
rem
rem Licensed Materials - Property of IBM
rem 5724-F75
rem (C) Copyright IBM Corp.  2009, 2010
rem All Rights Reserved
rem US Government Users Restricted Rights -Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem
@echo off

set DB2_DB_NAME=%1
set DB2_SQL_FILE=%2
set SCRIPT_DIR=%~sdp0

set ERR_DB2_CONFIG=220

echo connect to %DB2_DB_NAME% 
set DBCOMMAND="%SCRIPT_DIR%temp-connect.sql"
db2 -tf "%DBCOMMAND%"
if errorlevel 1 exit /b 1

rem db2 -s -tvf db2\%DB2_SQL_FILE%
set DBCOMMAND="%SCRIPT_DIR%%DB2_SQL_FILE%"
db2 -tvf "%DBCOMMAND%"
IF NOT %ERRORLEVEL% == 0 (
echo Error occurred while running %DB2_SQL_FILE%
db2 terminate
exit /b 1)
    
:end
db2 terminate

exit /b 0
