@echo off
rem
rem Licensed Materials - Property of IBM
rem 5724-F75
rem (C) Copyright IBM Corp.  2009, 2010
rem All Rights Reserved
rem US Government Users Restricted Rights -Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem
@echo off

set DB2_DB_NAME=%1

set RUNSQL=db2 -tvsf
set GENDROPS=db2 -txf


set ERR_DB2_CONFIG=220

echo connect to %DB2_DB_NAME% 
db2 -tf "..\..\proddata\dbconfig\sql\db2\temp-connect.sql"
if errorlevel 1 exit 1

rem drop all views
%GENDROPS% "..\..\proddata\dbconfig\sql\db2\gendropviews.sql" > "..\..\proddata\dbconfig\sql\db2\dropviews.sql"
%RUNSQL% "..\..\proddata\dbconfig\sql\db2\dropviews.sql"

rem drop all functions
%GENDROPS% "..\..\proddata\dbconfig\sql\db2\gendropfunctions.sql" > "..\..\proddata\dbconfig\sql\db2\dropfunctions.sql"
%RUNSQL% "..\..\proddata\dbconfig\sql\db2\dropfunctions.sql"

rem drop all tables 
%GENDROPS% "..\..\proddata\dbconfig\sql\db2\gendroptables.sql" > "..\..\proddata\dbconfig\sql\db2\droptables.sql"
%RUNSQL% "..\..\proddata\dbconfig\sql\db2\droptables.sql"

rem drop all sequences
%GENDROPS% "..\..\proddata\dbconfig\sql\db2\gendropsequences.sql" > "..\..\proddata\dbconfig\sql\db2\dropsequences.sql"
%RUNSQL% "..\..\proddata\dbconfig\sql\db2\dropsequences.sql"

rem drop all triggers
%GENDROPS% "..\..\proddata\dbconfig\sql\db2\gendroptriggers.sql" > "..\..\proddata\dbconfig\sql\db2\droptriggers.sql"
%RUNSQL% "..\..\proddata\dbconfig\sql\db2\droptriggers.sql"

rem drop all aliases
%GENDROPS% "..\..\proddata\dbconfig\sql\db2\gendropaliases.sql" > "..\..\proddata\dbconfig\sql\db2\dropaliases.sql"
%RUNSQL% "..\..\proddata\dbconfig\sql\db2\dropaliases.sql"

if errorlevel 1 exit 1
    
:end
db2 terminate
exit 0
