-- Licensed Materials - Property of IBM
-- 
-- (C) Copyright IBM Corp. 2007, 2010 All Rights Reserved
-- 
-- US Government Users Restricted Rights - Use, duplicate or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-- 

-- $Id: oracle.sql,v 1.15 2005/04/08 19:02:16 afaur Exp $

--
-- Main Oracle sql script
--
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET VERIFY OFF

-- drop all views
@oracle/gendropviews.sql
@oracle/dropviews.sql

-- drop all functions
@oracle/gendropfunctions.sql
@oracle/dropfunctions.sql

-- drop all triggers
@oracle/gendroptriggers.sql
@oracle/droptriggers.sql

-- drop all tables
@oracle/gendroptables.sql
@oracle/droptables.sql

-- drop all sequences
@oracle/gendropsequences.sql
@oracle/dropsequences.sql

EXIT
