-- Licensed Materials - Property of IBM
-- 
-- (C) Copyright IBM Corp. 2007, 2010 All Rights Reserved
-- 
-- US Government Users Restricted Rights - Use, duplicate or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-- 

WHILE EXISTS(SELECT [name] FROM sys.triggers WHERE [type] = 'TR')
BEGIN
DECLARE @trigger_name varchar(50)
DECLARE trigger_cursor CURSOR FOR SELECT [name] FROM sys.triggers WHERE [type] = 'TR'
OPEN trigger_cursor
FETCH NEXT FROM trigger_cursor INTO @trigger_name
WHILE @@FETCH_STATUS = 0
BEGIN
BEGIN TRY
EXEC ('DROP TRIGGER [' + @trigger_name + ']')
PRINT 'Dropped Trigger ' + @trigger_name
END TRY
BEGIN CATCH END CATCH
FETCH NEXT FROM trigger_cursor INTO @trigger_name
END
CLOSE trigger_cursor
DEALLOCATE trigger_cursor
END
