-- Licensed Materials - Property of IBM
-- 
-- (C) Copyright IBM Corp. 2007, 2010 All Rights Reserved
-- 
-- US Government Users Restricted Rights - Use, duplicate or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-- 

WHILE EXISTS(SELECT [name] FROM sys.views WHERE [type] = 'V')
BEGIN
DECLARE @view_name varchar(50)
DECLARE view_cursor CURSOR FOR SELECT [name] FROM sys.views WHERE [type] = 'V'
OPEN view_cursor
FETCH NEXT FROM view_cursor INTO @view_name
WHILE @@FETCH_STATUS = 0
BEGIN
BEGIN TRY
EXEC ('DROP VIEW [' + @view_name + ']')
END TRY
BEGIN CATCH END CATCH
FETCH NEXT FROM view_cursor INTO @view_name
END
CLOSE view_cursor
DEALLOCATE view_cursor
END
