@echo off
REM
REM Licensed Materials - Property of IBM
REM 5724-F75
REM (C) Copyright IBM Corp.  2009, 2010
REM All Rights Reserved
REM US Government Users Restricted Rights -Use, duplication or 
REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM
REM

set DB_HOSTNAME=%1
set TC_DB=%2
set USERNAME=%3
set PASSWORD=%4
set INT_SECURITY=%5
set BACKUP_DIR=%~6
set DB_PORT=%7

IF not "%DB_PORT%" == "" (
set DB_PORT=,%DB_PORT%
)

set RUNQRY=sqlcmd -b -S %DB_HOSTNAME%%DB_PORT% -U %USERNAME% -P %PASSWORD% -Q

IF %INT_SECURITY% == T set RUNQRY=sqlcmd -b -S %DB_HOSTNAME%%DB_PORT% -Q

REM Backup database
REM echo Backing up database %TC_DB%...
echo %BACKUP_DIR%
%RUNQRY% "BACKUP DATABASE %TC_DB% TO DISK = '%BACKUP_DIR%'"
if errorlevel 1 exit %errorlevel%