@echo off
rem
rem Licensed Materials - Property of IBM
rem 5724-F75
rem (C) Copyright IBM Corp.  2009, 2010
rem All Rights Reserved
rem US Government Users Restricted Rights -Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem
@echo off

set DB2_DB_NAME=%1

set RUNSQL=db2 -tvsf
set GENDROPS=db2 -txf
set SCRIPT_DIR=%~sdp0

set ERR_DB2_CONFIG=220

echo connect to %DB2_DB_NAME% 
set DBCOMMAND="%SCRIPT_DIR%temp-connect.sql"
db2 -tf "%DBCOMMAND%"
if errorlevel 1 exit 1

rem drop all views
set DBCOMMAND="%SCRIPT_DIR%gendropviews.sql"
set DBCOMMAND2="%SCRIPT_DIR%dropviews.sql"
%GENDROPS% "%DBCOMMAND%" > "%DBCOMMAND2%"
%RUNSQL% "%DBCOMMAND2%"

rem drop all functions
set DBCOMMAND="%SCRIPT_DIR%gendropfunctions.sql"
set DBCOMMAND2="%SCRIPT_DIR%dropfunctions.sql"
%GENDROPS% "%DBCOMMAND%" > "%DBCOMMAND2%"
%RUNSQL% "%DBCOMMAND2%"

rem drop all tables 
set DBCOMMAND="%SCRIPT_DIR%gendroptables.sql"
set DBCOMMAND2="%SCRIPT_DIR%droptables.sql"
%GENDROPS% "%DBCOMMAND%" > "%DBCOMMAND2%"
%RUNSQL% "%DBCOMMAND2%"

rem drop all sequences
set DBCOMMAND="%SCRIPT_DIR%gendropsequences.sql"
set DBCOMMAND2="%SCRIPT_DIR%dropsequences.sql"
%GENDROPS% "%DBCOMMAND%" > "%DBCOMMAND2%"
%RUNSQL% "%DBCOMMAND2%"

rem drop all triggers
set DBCOMMAND="%SCRIPT_DIR%gendroptriggers.sql"
set DBCOMMAND2="%SCRIPT_DIR%droptriggers.sql"
%GENDROPS% "%DBCOMMAND%" > "%DBCOMMAND2%"
%RUNSQL% "%DBCOMMAND2%"

rem drop all aliases
set DBCOMMAND="%SCRIPT_DIR%gendropaliases.sql"
set DBCOMMAND2="%SCRIPT_DIR%dropaliases.sql"
%GENDROPS% "%DBCOMMAND%" > "%DBCOMMAND2%"
%RUNSQL% "%DBCOMMAND2%"

if errorlevel 1 exit 1
    
:end
db2 terminate
exit 0
