@echo off
rem
rem Licensed Materials - Property of IBM
rem 5724-F75
rem (C) Copyright IBM Corp.  2009, 2010
rem All Rights Reserved
rem US Government Users Restricted Rights -Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem
@echo off

set DB2_DB_NAME=%1
set DB2_USER_NAME=%2
set DB2_USER_PSWD=%3

set RUNSQL=db2 -tvsf
set GENDROPS=db2 -txf


set ERR_DB2_CONFIG=220

echo connect to %DB2_DB_NAME% user %DB2_USER_NAME%
db2 connect to %DB2_DB_NAME% user %DB2_USER_NAME% using %DB2_USER_PSWD%
if errorlevel 1 exit 1

rem drop all tables 
%GENDROPS% db2\gendroptables.sql > db2\droptables.sql
%RUNSQL% db2\droptables.sql
if errorlevel 1 exit 1
    
:end
db2 terminate
exit 0
