#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

BIN_DIR=/opt/ibm/director/bin 
LWI_DIR="$BIN_DIR/../lwi"
DBENV_FILE="$LWI_DIR/conf/overrides/dbvariables.properties"

# setup environment for DB if it exists
if [ -e "$DBENV_FILE" ] ; then
  . "$DBENV_FILE"
  # have to check the variable so we don't get a false positive with grep
   if [ ! "$DBLIBPATH" = "" ] ; then
      # if ( echo $LD_LIBRARY_PATH | grep -qv '$DBLIBPATH' ) ; then
       if [ "$LD_LIBRARY_PATH" = "" ] ; then
          LD_LIBRARY_PATH=$DBLIBPATH
       else
          LD_LIBRARY_PATH=$DBLIBPATH:$LD_LIBRARY_PATH
       fi
       export LD_LIBRARY_PATH
      # fi
      # if ( echo $LIBPATH | grep -qv '$DBLIBPATH' ) ; then
       if [ "$LIBPATH" = "" ] ; then
          export LIBPATH=$DBLIBPATH
       else
          export LIBPATH=$DBLIBPATH:$LIBPATH
       fi
       export LIBPATH
      # fi
   fi
    if [ ! "$DBPATH" = "" ] ; then
        # if ( ! echo $PATH | grep '$DBPATH' ) ; then
        PATH=$DBPATH:$PATH
        # fi
   fi
fi

