-- Licensed Materials - Property of IBM
-- 
-- (C) Copyright IBM Corp. 2007, 2010 All Rights Reserved
-- 
-- US Government Users Restricted Rights - Use, duplicate or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-- 

-- Enable authentication --
CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
'derby.connection.requireAuthentication', 'true');

CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
'derby.authentication.provider', 'BUILTIN');

CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
'derby.user.$NEWUSER', '$NEWPASSWD');

--  Enable user access --
CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
'derby.database.defaultConnectionMode', 'noAccess');

CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
'derby.database.fullAccessUsers', '$NEWUSER');

-- Enable user rights when ready to deploy --
CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
'derby.database.propertiesOnly', 'false');

-- Create schema for newuser first because calling sql script is faster than --
-- creating schema at first login --
CREATE SCHEMA $NEWUSER;
