-- Licensed Materials - Property of IBM
-- 
-- (C) Copyright IBM Corp. 2007, 2010 All Rights Reserved
-- 
-- US Government Users Restricted Rights - Use, duplicate or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-- 

SET NOCOUNT ON

IF OBJECT_ID('dropconstraints', 'U') IS NOT NULL 
    DROP TABLE dropconstraints

CREATE TABLE dropconstraints ( cmd VARCHAR(8000))
DECLARE @stmt VARCHAR(8000) 
DECLARE @rowcnt INT 

INSERT INTO dropconstraints 
SELECT 'ALTER TABLE [' + t2.Table_Name + '] DROP CONSTRAINT ' + t1.Constraint_Name 
FROM 
INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS t1 
INNER JOIN 
INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE t2 
ON t1.CONSTRAINT_NAME = t2.CONSTRAINT_NAME 

SELECT TOP 1 @stmt=cmd FROM dropconstraints 
SET @rowcnt=@@ROWCOUNT 
WHILE @rowcnt<>0 
BEGIN 
EXEC (@stmt) 
SET @stmt = 'DELETE FROM dropconstraints WHERE cmd ='+ QUOTENAME(@stmt,'''') 
EXEC (@stmt) 
SELECT TOP 1 @stmt=cmd FROM dropconstraints 
SET @rowcnt=@@ROWCOUNT 
END 



